/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 0



/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 13 "as.y"






























































































#include	<stdio.h>
#include	<ctype.h>
#include	<signal.h>
















struct outhead {
	unsigned short 	oh_magic;	
	unsigned short 	oh_stamp;	
	unsigned short	oh_flags;	
	unsigned short	oh_nsect;	
	unsigned short	oh_nrelo;	
	unsigned short	oh_nname;	
	long	oh_nemit;		
	long	oh_nchar;		
};








struct outsect {
	long 	os_base;		
	long	os_size;		
	long	os_foff;		
	long	os_flen;		
	long	os_lign;		
};

struct outrelo {
	char	or_type;		
	char	or_sect;		
	unsigned short	or_nami;	
	long	or_addr;		
};

struct outname {
	union {
	  char	*on_ptr;		
	  long	on_off;			
	}	on_u;


	unsigned short	on_type;	
	unsigned short	on_desc;	
	long	on_valu;		
};























































































































struct expr_t {
	short	typ;
	long	val;
};

typedef	struct expr_t	expr_t;

struct item_t {
	struct item_t *
		i_next;	
	short	i_type;
	




	long	i_valu;		
	char	*i_name;	
};

struct common_t {
	struct common_t *
		c_next;
	struct item_t *c_it;

	long	c_size;

};

typedef struct common_t	common_t;

typedef	struct item_t	item_t;

struct sect_t {
	short	s_flag;		
	unsigned short		s_base;		
	unsigned short		s_size;		
	unsigned short		s_comm;		
	unsigned short		s_zero;		
	unsigned short		s_lign;		
	long	s_foff;		
	item_t	*s_item;	

	unsigned short		s_gain;		

};

typedef	struct sect_t	sect_t;














































extern FILE *fopen();   















extern short	pass ;
				
extern short	peekc;		
extern short	unresolved;	
extern long	lineno;		
extern short	hllino;		
extern short	nerrors;	
extern short	sflag ;
				
extern char	*progname;	
extern char	*modulename;	
extern common_t	*commons;	


extern short	uflag;		
				



extern short	dflag;		




extern long	relonami;



extern short	bflag;		


extern char	*aoutpath ;
extern char	temppath[50];

extern FILE	*input;
extern FILE	*tempfile;
extern FILE	*outFile;

extern char	*stringbuf;	
extern int	stringlen;	

extern sect_t	sect[64];




extern sect_t	*DOTSCT;	
extern unsigned short		DOTVAL;		
extern short	DOTTYP;		

extern unsigned short	nname;		

extern item_t	*hashtab[(2*307		)];
extern short	hashindex;	

extern item_t	*fb_ptr[4*10];



extern int	nbits;
extern int	bitindex;	





extern short	listmode;	
extern short	listtemp;	
extern short	listflag;	
extern short	listcolm;	
extern short	listeoln ;
				
extern FILE	*listfile;	
extern char	listpath[50];



extern item_t		keytab[];
extern struct outhead	outhead;




extern char	*remember();
extern item_t	*fb_shift();
extern item_t	*fb_alloc();
extern item_t	*item_alloc();
extern item_t	*item_search();
extern long	load();
extern FILE	*ffcreat();
extern FILE	*fftemp();


extern char	*mktemp();
/* VIC commentato da
extern char	*malloc();
extern char	*realloc();
extern char	*calloc();
extern char	*strncpy();
extern char	*getenv();
*/




















extern int	mrg_1,mrg_2;
extern expr_t	exp_1,exp_2;

extern int	rel_1, rel_2;



extern char	sr_m[8];



extern char	dr_m[8][8];


static item_t	*last_it, *o_it;


/* Line 268 of yacc.c  */
#line 596 "y.tab.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     STRING = 258,
     IDENT = 259,
     FBSYM = 260,
     CODE1 = 261,
     CODE2 = 262,
     CODE4 = 263,
     NUMBER0 = 264,
     NUMBER1 = 265,
     NUMBER2 = 266,
     NUMBER3 = 267,
     NUMBER = 268,
     DOT = 269,
     EXTERN = 270,
     DATA = 271,
     ASCII = 272,
     SECTION = 273,
     COMMON = 274,
     BASE = 275,
     SYMB = 276,
     SYMD = 277,
     ALIGN = 278,
     ASSERT = 279,
     SPACE = 280,
     LINE = 281,
     FILe = 282,
     LIST = 283,
     OP_EQ = 284,
     OP_NE = 285,
     OP_LE = 286,
     OP_GE = 287,
     OP_LL = 288,
     OP_RR = 289,
     OP_OO = 290,
     OP_AA = 291,
     R16 = 292,
     R8 = 293,
     RSEG = 294,
     PREFIX = 295,
     NOOP_1 = 296,
     NOOP_2 = 297,
     JOP = 298,
     PUSHOP = 299,
     IOOP = 300,
     ADDOP = 301,
     ROLOP = 302,
     INCOP = 303,
     NOTOP = 304,
     CALLOP = 305,
     CALFOP = 306,
     LEAOP = 307,
     ARPLOP = 308,
     ESC = 309,
     INT = 310,
     RET = 311,
     XCHG = 312,
     TEST = 313,
     MOV = 314,
     IMUL = 315,
     ENTER = 316,
     EXTOP = 317,
     EXTOP1 = 318,
     ST = 319
   };
#endif
/* Tokens.  */
#define STRING 258
#define IDENT 259
#define FBSYM 260
#define CODE1 261
#define CODE2 262
#define CODE4 263
#define NUMBER0 264
#define NUMBER1 265
#define NUMBER2 266
#define NUMBER3 267
#define NUMBER 268
#define DOT 269
#define EXTERN 270
#define DATA 271
#define ASCII 272
#define SECTION 273
#define COMMON 274
#define BASE 275
#define SYMB 276
#define SYMD 277
#define ALIGN 278
#define ASSERT 279
#define SPACE 280
#define LINE 281
#define FILe 282
#define LIST 283
#define OP_EQ 284
#define OP_NE 285
#define OP_LE 286
#define OP_GE 287
#define OP_LL 288
#define OP_RR 289
#define OP_OO 290
#define OP_AA 291
#define R16 292
#define R8 293
#define RSEG 294
#define PREFIX 295
#define NOOP_1 296
#define NOOP_2 297
#define JOP 298
#define PUSHOP 299
#define IOOP 300
#define ADDOP 301
#define ROLOP 302
#define INCOP 303
#define NOTOP 304
#define CALLOP 305
#define CALFOP 306
#define LEAOP 307
#define ARPLOP 308
#define ESC 309
#define INT 310
#define RET 311
#define XCHG 312
#define TEST 313
#define MOV 314
#define IMUL 315
#define ENTER 316
#define EXTOP 317
#define EXTOP1 318
#define ST 319




#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 539 "as.y"

	short			y_word;
	long	y_valu;
	expr_t	y_expr;
	item_t	*y_item;




/* Line 293 of yacc.c  */
#line 770 "y.tab.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 782 "y.tab.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   608

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  86
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  18
/* YYNRULES -- Number of rules.  */
#define YYNRULES  108
/* YYNRULES -- Number of states.  */
#define YYNSTATES  204

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   319

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
      78,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,    79,     2,    46,    39,     2,
      84,    85,    44,    42,    81,    43,     2,    45,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    76,    77,
      40,    80,    41,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    82,     2,    83,    38,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,    37,     2,    47,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     4,     8,    12,    15,    18,    21,    25,
      29,    35,    39,    40,    44,    46,    49,    54,    57,    60,
      61,    69,    76,    79,    82,    85,    88,    91,    94,    97,
      99,   103,   105,   109,   111,   113,   115,   117,   121,   125,
     129,   133,   137,   141,   145,   149,   153,   157,   161,   165,
     169,   173,   177,   181,   185,   189,   193,   196,   199,   202,
     204,   206,   208,   210,   211,   213,   214,   217,   220,   221,
     224,   226,   228,   231,   234,   237,   240,   243,   246,   249,
     252,   255,   258,   261,   266,   269,   274,   279,   284,   289,
     292,   297,   300,   302,   305,   308,   311,   314,   318,   320,
     323,   327,   334,   336,   338,   340,   342,   344,   346
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int8 yyrhs[] =
{
      87,     0,    -1,    -1,    87,     4,    76,    -1,    87,    13,
      76,    -1,    87,     6,    -1,    87,     7,    -1,    87,     8,
      -1,    87,    88,    77,    -1,    87,    88,    78,    -1,    87,
      79,    13,     3,    78,    -1,    87,     1,    78,    -1,    -1,
       4,    80,    92,    -1,    28,    -1,    18,     4,    -1,    19,
       4,    81,    94,    -1,    20,    94,    -1,    24,    92,    -1,
      -1,    21,     3,    81,    92,    89,    96,    96,    -1,    22,
       3,    81,    94,    81,    94,    -1,    26,    95,    -1,    27,
       3,    -1,    15,    90,    -1,    23,    95,    -1,    25,    94,
      -1,    16,    91,    -1,    17,     3,    -1,     4,    -1,    90,
      81,     4,    -1,    92,    -1,    91,    81,    92,    -1,     1,
      -1,    13,    -1,    93,    -1,     3,    -1,    82,    92,    83,
      -1,    92,    35,    92,    -1,    92,    36,    92,    -1,    92,
      37,    92,    -1,    92,    38,    92,    -1,    92,    39,    92,
      -1,    92,    29,    92,    -1,    92,    30,    92,    -1,    92,
      40,    92,    -1,    92,    41,    92,    -1,    92,    31,    92,
      -1,    92,    32,    92,    -1,    92,    34,    92,    -1,    92,
      33,    92,    -1,    92,    42,    92,    -1,    92,    43,    92,
      -1,    92,    44,    92,    -1,    92,    45,    92,    -1,    92,
      46,    92,    -1,    42,    92,    -1,    43,    92,    -1,    47,
      92,    -1,    14,    -1,     4,    -1,     5,    -1,    92,    -1,
      -1,    94,    -1,    -1,    81,    94,    -1,    97,    98,    -1,
      -1,    97,    51,    -1,    52,    -1,    53,    -1,    54,    92,
      -1,    55,   102,    -1,    56,    92,    -1,    56,    48,    -1,
      57,   103,    -1,    58,   103,    -1,    59,   102,    -1,    71,
     103,    -1,    71,   102,    -1,    60,   102,    -1,    61,   102,
      -1,    62,    92,    76,    92,    -1,    62,    99,    -1,    72,
      94,    81,    94,    -1,    63,    48,    81,    99,    -1,    64,
      99,    81,    48,    -1,    73,    48,    81,   101,    -1,    74,
     102,    -1,    65,    94,    81,    99,    -1,    66,    94,    -1,
      67,    -1,    67,    92,    -1,    68,   103,    -1,    69,   103,
      -1,    70,   103,    -1,    84,    92,    85,    -1,   100,    -1,
      92,   100,    -1,    84,    48,    85,    -1,    84,    48,    85,
      84,    48,    85,    -1,    99,    -1,    49,    -1,    48,    -1,
      50,    -1,    92,    -1,   101,    -1,   102,    81,   101,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   664,   664,   666,   668,   675,   677,   679,   681,   682,
     684,   689,   696,   698,   708,   715,   717,   719,   721,   725,
     725,   765,   779,   793,   804,   805,   807,   813,   814,   818,
     820,   824,   832,   841,   845,   847,   852,   858,   860,   864,
     868,   872,   876,   880,   884,   888,   892,   896,   900,   904,
     908,   912,   916,   920,   924,   933,   942,   946,   950,   954,
     959,   960,   962,   970,   971,   976,   977,   993,   995,   996,
     999,  1001,  1003,  1005,  1007,  1014,  1018,  1020,  1022,  1024,
    1026,  1028,  1030,  1032,  1043,  1045,  1049,  1051,  1053,  1057,
    1061,  1066,  1073,  1075,  1082,  1084,  1086,  1114,  1118,  1120,
    1125,  1127,  1130,  1131,  1133,  1135,  1137,  1142,  1147
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "STRING", "IDENT", "FBSYM", "CODE1",
  "CODE2", "CODE4", "NUMBER0", "NUMBER1", "NUMBER2", "NUMBER3", "NUMBER",
  "DOT", "EXTERN", "DATA", "ASCII", "SECTION", "COMMON", "BASE", "SYMB",
  "SYMD", "ALIGN", "ASSERT", "SPACE", "LINE", "FILe", "LIST", "OP_EQ",
  "OP_NE", "OP_LE", "OP_GE", "OP_LL", "OP_RR", "OP_OO", "OP_AA", "'|'",
  "'^'", "'&'", "'<'", "'>'", "'+'", "'-'", "'*'", "'/'", "'%'", "'~'",
  "R16", "R8", "RSEG", "PREFIX", "NOOP_1", "NOOP_2", "JOP", "PUSHOP",
  "IOOP", "ADDOP", "ROLOP", "INCOP", "NOTOP", "CALLOP", "CALFOP", "LEAOP",
  "ARPLOP", "ESC", "INT", "RET", "XCHG", "TEST", "MOV", "IMUL", "ENTER",
  "EXTOP", "EXTOP1", "ST", "':'", "';'", "'\\n'", "'#'", "'='", "','",
  "'['", "']'", "'('", "')'", "$accept", "program", "operation", "$@1",
  "externlist", "datalist", "expr", "id_fb", "absexp", "optabs1",
  "optabs2", "prefix", "oper", "mem", "bases", "ea_2", "ea_1", "ea_ea", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   124,    94,    38,
      60,    62,    43,    45,    42,    47,    37,   126,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    58,    59,    10,    35,
      61,    44,    91,    93,    40,    41
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    86,    87,    87,    87,    87,    87,    87,    87,    87,
      87,    87,    88,    88,    88,    88,    88,    88,    88,    89,
      88,    88,    88,    88,    88,    88,    88,    88,    88,    90,
      90,    91,    91,    92,    92,    92,    92,    92,    92,    92,
      92,    92,    92,    92,    92,    92,    92,    92,    92,    92,
      92,    92,    92,    92,    92,    92,    92,    92,    92,    92,
      93,    93,    94,    95,    95,    96,    96,    88,    97,    97,
      98,    98,    98,    98,    98,    98,    98,    98,    98,    98,
      98,    98,    98,    98,    98,    98,    98,    98,    98,    98,
      98,    98,    98,    98,    98,    98,    98,    99,    99,    99,
     100,   100,   101,   101,   101,   101,   101,   102,   103
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     0,     3,     3,     2,     2,     2,     3,     3,
       5,     3,     0,     3,     1,     2,     4,     2,     2,     0,
       7,     6,     2,     2,     2,     2,     2,     2,     2,     1,
       3,     1,     3,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     2,     1,
       1,     1,     1,     0,     1,     0,     2,     2,     0,     2,
       1,     1,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     4,     2,     4,     4,     4,     4,     2,
       4,     2,     1,     2,     2,     2,     2,     3,     1,     2,
       3,     6,     1,     1,     1,     1,     1,     1,     3
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       2,     0,     1,     0,     0,     5,     6,     7,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    14,     0,     0,     0,    11,     3,     0,     4,
      29,    24,    33,    36,    60,    61,    34,    59,     0,     0,
       0,     0,    27,    31,    35,    28,    15,     0,    62,    17,
       0,     0,    64,    25,    18,    26,    22,    23,     0,     8,
       9,    69,    70,    71,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    67,    13,     0,    56,    57,
      58,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    72,   104,   103,   105,     0,
     106,   102,    98,   107,    73,    75,    74,     0,    76,    77,
      78,    81,    82,     0,    84,     0,     0,     0,     0,    91,
      93,    94,    95,    96,    80,    79,     0,     0,    89,    30,
      37,    32,    43,    44,    47,    48,    50,    49,    38,    39,
      40,    41,    42,    45,    46,    51,    52,    53,    54,    55,
      16,    19,     0,    10,     0,     0,     0,    99,     0,     0,
       0,     0,     0,     0,     0,    65,     0,   100,    97,   108,
      83,    86,    87,    90,    85,    88,     0,    65,    21,     0,
      66,    20,     0,   101
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,    24,   185,    31,    42,   120,    44,    52,    53,
     197,    25,    85,   121,   122,   123,   127,   128
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -173
static const yytype_int16 yypact[] =
{
    -173,   287,  -173,   -73,   -60,  -173,  -173,  -173,   -57,    11,
     234,    30,    34,    37,   234,    39,    43,   132,   234,   234,
     132,    44,  -173,    40,   -75,   415,  -173,  -173,   234,  -173,
    -173,   -26,  -173,  -173,  -173,  -173,  -173,  -173,   234,   234,
     234,   234,   -18,   474,  -173,  -173,  -173,   -13,   474,  -173,
     -12,   -11,  -173,  -173,   474,  -173,  -173,  -173,    68,  -173,
    -173,  -173,  -173,  -173,   234,    31,   203,    31,    31,    31,
      31,    31,   113,    27,   113,   234,   234,   149,    31,    31,
      31,    31,   234,    28,    31,  -173,   474,    73,  -173,  -173,
    -173,   419,   234,   234,   234,   234,   234,   234,   234,   234,
     234,   234,   234,   234,   234,   234,   234,   234,   234,   234,
     234,   234,   234,   234,    32,   474,  -173,  -173,  -173,   219,
     363,  -173,  -173,  -173,  -173,  -173,   474,    25,  -173,  -173,
    -173,  -173,  -173,   345,  -173,    26,   363,    41,    42,  -173,
     474,  -173,  -173,  -173,    25,  -173,    47,    48,  -173,  -173,
    -173,   474,   562,   562,   156,   156,    15,    15,   394,   492,
     510,   528,   546,   156,   156,   -22,   -22,  -173,  -173,  -173,
    -173,   474,    49,  -173,    23,   288,    64,  -173,    31,   234,
     113,    72,   113,   234,    31,    50,   234,    54,  -173,  -173,
     474,  -173,  -173,  -173,  -173,  -173,   234,    50,  -173,    76,
    -173,  -173,    56,  -173
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -173,  -173,  -173,  -173,  -173,  -173,   -10,  -173,    29,   105,
     -65,  -173,  -173,   -61,  -119,  -172,   -44,   -29
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -93
static const yytype_int16 yytable[] =
{
      43,   177,    59,    60,    48,    26,   189,    48,    54,    48,
      48,   134,   195,   137,   177,    30,    27,   177,    86,    29,
      28,   124,   108,   109,   110,   130,   131,   132,    88,    89,
      90,    91,    32,    45,    33,    34,    35,   144,    46,   129,
     148,    47,    50,    49,    36,    37,    51,    57,    55,   141,
     142,   143,   145,    58,   115,    87,   126,   106,   107,   108,
     109,   110,   133,    92,   136,    48,    48,   140,   111,   112,
     113,   114,    48,    38,    39,   135,   147,   149,    40,   116,
     117,   118,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    48,   171,    48,   138,   139,   178,   180,   187,   175,
     173,   146,   174,    41,    32,   119,    33,    34,    35,   191,
     192,   193,   181,   182,   202,    56,    36,    37,   183,   184,
     186,   196,   201,    32,     0,    33,    34,    35,   199,     0,
     170,   203,   172,     0,     0,    36,    37,     0,     0,     0,
      32,     0,    33,    34,    35,    38,    39,     0,     0,     0,
      40,     0,    36,    37,     0,     0,     0,     0,     0,   190,
     136,     0,   136,    48,    38,    39,    48,     0,     0,    40,
       0,     0,     0,     0,     0,     0,    48,     0,     0,    97,
      98,    38,    39,     0,     0,    41,    40,   119,   106,   107,
     108,   109,   110,     0,    32,     0,    33,    34,    35,   -63,
     -63,     0,   194,     0,    41,   198,    36,    37,     0,     0,
      32,     0,    33,    34,    35,   200,   -92,   -92,     0,     0,
       0,    41,    36,    37,     0,    32,     0,    33,    34,    35,
       0,     0,     0,     0,     0,    38,    39,    36,    37,     0,
      40,   125,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    38,    39,     0,     0,     0,    40,   174,     0,     0,
       0,     0,     0,     0,     0,     0,    38,    39,     0,     0,
       0,    40,     0,     0,     0,    41,     0,     2,     3,     0,
       0,     4,     0,     5,     6,     7,     0,     0,     0,     0,
       8,    41,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    41,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,     0,     0,     0,   -68,   -68,
     -68,   -68,   -68,   -68,   -68,   -68,   -68,   -68,   -68,   -68,
     -68,   -68,   -68,   -68,   -68,   -68,   -68,   -68,   -68,   -68,
     -68,   -68,     0,     0,   -12,   -12,    23,     0,     0,     0,
       0,     0,     0,   188,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   179,     0,    93,    94,    95,    96,    97,    98,   176,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,     0,     0,     0,     0,     0,     0,   176,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    93,    94,    95,    96,    97,    98,     0,     0,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    93,
      94,    95,    96,    97,    98,     0,     0,     0,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    93,    94,    95,
      96,    97,    98,     0,     0,     0,     0,   103,   104,   105,
     106,   107,   108,   109,   110,    93,    94,    95,    96,    97,
      98,     0,     0,     0,     0,     0,   104,   105,   106,   107,
     108,   109,   110,    95,    96,    97,    98,     0,     0,     0,
       0,     0,   104,   105,   106,   107,   108,   109,   110
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-173))

#define yytable_value_is_error(yytable_value) \
  YYID (0)

static const yytype_int16 yycheck[] =
{
      10,   120,    77,    78,    14,    78,   178,    17,    18,    19,
      20,    72,   184,    74,   133,     4,    76,   136,    28,    76,
      80,    65,    44,    45,    46,    69,    70,    71,    38,    39,
      40,    41,     1,     3,     3,     4,     5,    81,     4,    68,
      84,     4,     3,    14,    13,    14,     3,     3,    19,    78,
      79,    80,    81,    13,    64,    81,    66,    42,    43,    44,
      45,    46,    72,    81,    74,    75,    76,    77,    81,    81,
      81,     3,    82,    42,    43,    48,    48,     4,    47,    48,
      49,    50,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    75,    76,    81,    81,    85,   119,
      78,    82,    48,    82,     1,    84,     3,     4,     5,   180,
      48,   182,    81,    81,    48,    20,    13,    14,    81,    81,
      81,    81,   197,     1,    -1,     3,     4,     5,    84,    -1,
     111,    85,   113,    -1,    -1,    13,    14,    -1,    -1,    -1,
       1,    -1,     3,     4,     5,    42,    43,    -1,    -1,    -1,
      47,    -1,    13,    14,    -1,    -1,    -1,    -1,    -1,   179,
     180,    -1,   182,   183,    42,    43,   186,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    33,
      34,    42,    43,    -1,    -1,    82,    47,    84,    42,    43,
      44,    45,    46,    -1,     1,    -1,     3,     4,     5,    77,
      78,    -1,   183,    -1,    82,   186,    13,    14,    -1,    -1,
       1,    -1,     3,     4,     5,   196,    77,    78,    -1,    -1,
      -1,    82,    13,    14,    -1,     1,    -1,     3,     4,     5,
      -1,    -1,    -1,    -1,    -1,    42,    43,    13,    14,    -1,
      47,    48,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    42,    43,    -1,    -1,    -1,    47,    48,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    82,    -1,     0,     1,    -1,
      -1,     4,    -1,     6,     7,     8,    -1,    -1,    -1,    -1,
      13,    82,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    82,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    -1,    -1,    77,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    85,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    76,    -1,    29,    30,    31,    32,    33,    34,    84,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    84,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    83,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    29,    30,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    29,
      30,    31,    32,    33,    34,    -1,    -1,    -1,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    29,    30,    31,
      32,    33,    34,    -1,    -1,    -1,    -1,    39,    40,    41,
      42,    43,    44,    45,    46,    29,    30,    31,    32,    33,
      34,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    43,
      44,    45,    46,    31,    32,    33,    34,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    43,    44,    45,    46
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,    87,     0,     1,     4,     6,     7,     8,    13,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    79,    88,    97,    78,    76,    80,    76,
       4,    90,     1,     3,     4,     5,    13,    14,    42,    43,
      47,    82,    91,    92,    93,     3,     4,     4,    92,    94,
       3,     3,    94,    95,    92,    94,    95,     3,    13,    77,
      78,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    98,    92,    81,    92,    92,
      92,    92,    81,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    81,    81,    81,     3,    92,    48,    49,    50,    84,
      92,    99,   100,   101,   102,    48,    92,   102,   103,   103,
     102,   102,   102,    92,    99,    48,    92,    99,    94,    94,
      92,   103,   103,   103,   102,   103,    94,    48,   102,     4,
      83,    92,    92,    92,    92,    92,    92,    92,    92,    92,
      92,    92,    92,    92,    92,    92,    92,    92,    92,    92,
      94,    92,    94,    78,    48,    92,    84,   100,    81,    76,
      81,    81,    81,    81,    81,    89,    81,    85,    85,   101,
      92,    99,    48,    99,    94,   101,    81,    96,    94,    84,
      94,    96,    48,    85
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* This macro is provided for backward compatibility. */

#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yyrule)
    YYSTYPE *yyvsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yymsg, yytype, yyvaluep)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  YYUSE (yyvaluep);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1806 of yacc.c  */
#line 667 "as.y"
    {	newident((yyvsp[(2) - (3)].y_item), DOTTYP); newlabel((yyvsp[(2) - (3)].y_item));}
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 669 "as.y"
    {	if ((yyvsp[(2) - (3)].y_valu) < 0 || (yyvsp[(2) - (3)].y_valu) > 9) {
					serror("bad f/b label");
					(yyvsp[(2) - (3)].y_valu) = 0;
				}
				newlabel(fb_shift((int)(yyvsp[(2) - (3)].y_valu)));
			}
    break;

  case 5:

/* Line 1806 of yacc.c  */
#line 676 "as.y"
    {	emit1((int)(yyvsp[(2) - (2)].y_valu)); if (listflag) listline(0);  			else if (listtemp) { listflag = listtemp; listeoln = 1; };}
    break;

  case 6:

/* Line 1806 of yacc.c  */
#line 678 "as.y"
    {	emit2((int)(yyvsp[(2) - (2)].y_valu)); if (listflag) listline(0);  			else if (listtemp) { listflag = listtemp; listeoln = 1; };}
    break;

  case 7:

/* Line 1806 of yacc.c  */
#line 680 "as.y"
    {	emit4((long)(yyvsp[(2) - (2)].y_valu)); if (listflag) listline(0);  			else if (listtemp) { listflag = listtemp; listeoln = 1; };}
    break;

  case 9:

/* Line 1806 of yacc.c  */
#line 683 "as.y"
    {	lineno++; if (listflag) listline(1);  			else if (listtemp) { listflag = listtemp; listeoln = 1; }; {if (!(relonami == 0)) assert2("/home/ceriel/evert/comm2.y", 129);};}
    break;

  case 10:

/* Line 1806 of yacc.c  */
#line 685 "as.y"
    {	lineno = (yyvsp[(3) - (5)].y_valu);
				if (modulename) strncpy(modulename, stringbuf, 200	-1);
				if (listflag) listline(1);  			else if (listtemp) { listflag = listtemp; listeoln = 1; }; {if (!(relonami == 0)) assert2("/home/ceriel/evert/comm2.y", 133);};
			}
    break;

  case 11:

/* Line 1806 of yacc.c  */
#line 690 "as.y"
    {	serror("syntax error"); yyerrok;
				lineno++; if (listflag) listline(1);  			else if (listtemp) { listflag = listtemp; listeoln = 1; }; {if (!(relonami == 0)) assert2("/home/ceriel/evert/comm2.y", 137);};
			}
    break;

  case 13:

/* Line 1806 of yacc.c  */
#line 699 "as.y"
    {

				if (listflag & 1)
					listcolm += printx(4, (yyvsp[(3) - (3)].y_expr).val);

				newequate((yyvsp[(1) - (3)].y_item), (yyvsp[(3) - (3)].y_expr).typ);
				store((yyvsp[(1) - (3)].y_item), (yyvsp[(3) - (3)].y_expr).val);
			}
    break;

  case 14:

/* Line 1806 of yacc.c  */
#line 709 "as.y"
    {	if ((yyvsp[(1) - (1)].y_word))
					listtemp = listmode;
				else if ((dflag & 01000) == 0)
					listtemp = 0;
			}
    break;

  case 15:

/* Line 1806 of yacc.c  */
#line 716 "as.y"
    {	newsect((yyvsp[(2) - (2)].y_item));}
    break;

  case 16:

/* Line 1806 of yacc.c  */
#line 718 "as.y"
    {	newcomm((yyvsp[(2) - (4)].y_item), (yyvsp[(4) - (4)].y_valu));}
    break;

  case 17:

/* Line 1806 of yacc.c  */
#line 720 "as.y"
    {	if (pass == 0) newbase((yyvsp[(2) - (2)].y_valu));}
    break;

  case 18:

/* Line 1806 of yacc.c  */
#line 722 "as.y"
    {	if ((yyvsp[(2) - (2)].y_expr).val == 0 && pass == 2)
					warning("assertion failed");
			}
    break;

  case 19:

/* Line 1806 of yacc.c  */
#line 725 "as.y"
    { o_it = last_it; }
    break;

  case 20:

/* Line 1806 of yacc.c  */
#line 727 "as.y"
    {	if ((sflag & 010	) && (pass != 0)) {

					if (
						pass == 2
						&&
						((yyvsp[(4) - (7)].y_expr).typ & 0x007F			) == 0x0000			
					   ) {
						serror("expression undefined");
						relonami = -1;
					}
					if (
						(pass != 0)
						&&
						((yyvsp[(4) - (7)].y_expr).typ & 0x1000			)
					   ) {
						




						(yyvsp[(4) - (7)].y_expr).typ = 0x007F						;
						(yyvsp[(4) - (7)].y_expr).val = new_string(o_it->i_name);
						relonami = 0;
					}

					    
					newsymb(
						*stringbuf ? stringbuf : (char *) 0,
						(short)(
							((yyvsp[(4) - (7)].y_expr).typ & (0x0080			|0x007F			))
							|
							((unsigned short)(yyvsp[(6) - (7)].y_valu)<<8)
						),
						(short)(yyvsp[(7) - (7)].y_valu),
						(yyvsp[(4) - (7)].y_expr).val
					);
				}
			}
    break;

  case 21:

/* Line 1806 of yacc.c  */
#line 766 "as.y"
    {	if ((sflag & 010	) && (pass != 0)) {
					newsymb(
						*stringbuf ? stringbuf : (char *) 0,
						(short)(
							(DOTTYP & (0x0080			|0x007F			))
							|
							((unsigned short)(yyvsp[(4) - (6)].y_valu)<<8)
						),
						(short)(yyvsp[(6) - (6)].y_valu),
						(long)DOTVAL
					);
				}
			}
    break;

  case 22:

/* Line 1806 of yacc.c  */
#line 780 "as.y"
    {	if ((sflag & 020	) && (pass != 0)) {
					if ((yyvsp[(2) - (2)].y_valu))
						hllino = (short)(yyvsp[(2) - (2)].y_valu);
					else
						hllino++;
					newsymb(
						(char *)0,
						(DOTTYP | 0x0200			),
						hllino,
						(long)DOTVAL
					);
				}
			}
    break;

  case 23:

/* Line 1806 of yacc.c  */
#line 794 "as.y"
    {	if ((sflag & 020	) && (pass != 0)) {
					hllino = 0;
					newsymb(
						stringbuf,
						(DOTTYP | 0x0300			),
						0,
						(long)DOTVAL
					);
				}
			}
    break;

  case 25:

/* Line 1806 of yacc.c  */
#line 806 "as.y"
    {	align((yyvsp[(2) - (2)].y_valu));}
    break;

  case 26:

/* Line 1806 of yacc.c  */
#line 808 "as.y"
    {	if (DOTSCT == NULL)
					nosect();
				DOTVAL += (yyvsp[(2) - (2)].y_valu);
				DOTSCT->s_zero += (yyvsp[(2) - (2)].y_valu);
			}
    break;

  case 28:

/* Line 1806 of yacc.c  */
#line 815 "as.y"
    {	emitstr((yyvsp[(1) - (2)].y_word));}
    break;

  case 29:

/* Line 1806 of yacc.c  */
#line 819 "as.y"
    {	(yyvsp[(1) - (1)].y_item)->i_type |= 0x0080			;}
    break;

  case 30:

/* Line 1806 of yacc.c  */
#line 821 "as.y"
    {	(yyvsp[(3) - (3)].y_item)->i_type |= 0x0080			;}
    break;

  case 31:

/* Line 1806 of yacc.c  */
#line 825 "as.y"
    {

				if (1 != 0 && (pass != 0))
					newrelo((yyvsp[(1) - (1)].y_expr).typ, (int)(yyvsp[(0) - (1)].y_word)|(0));

				emitx((yyvsp[(1) - (1)].y_expr).val, (int)(yyvsp[(0) - (1)].y_word));
			}
    break;

  case 32:

/* Line 1806 of yacc.c  */
#line 833 "as.y"
    {

				if (1 != 0 && (pass != 0))
					newrelo((yyvsp[(3) - (3)].y_expr).typ, (int)(yyvsp[(0) - (3)].y_word)|(0));

				emitx((yyvsp[(3) - (3)].y_expr).val, (int)(yyvsp[(0) - (3)].y_word));
			}
    break;

  case 33:

/* Line 1806 of yacc.c  */
#line 842 "as.y"
    {	serror("expr syntax err");
				(yyval.y_expr).val = 0; (yyval.y_expr).typ = 0x0000			;
			}
    break;

  case 34:

/* Line 1806 of yacc.c  */
#line 846 "as.y"
    {	(yyval.y_expr).val = (yyvsp[(1) - (1)].y_valu); (yyval.y_expr).typ = 0x0001			;}
    break;

  case 35:

/* Line 1806 of yacc.c  */
#line 848 "as.y"
    {	(yyval.y_expr).val = load((yyvsp[(1) - (1)].y_item)); 
				last_it = (yyvsp[(1) - (1)].y_item);
				(yyval.y_expr).typ = (yyvsp[(1) - (1)].y_item)->i_type & ~0x0080			;
			}
    break;

  case 36:

/* Line 1806 of yacc.c  */
#line 853 "as.y"
    {	if (stringlen != 1)
					serror("too many chars");
				(yyval.y_expr).val = stringbuf[0];
				(yyval.y_expr).typ = 0x0001			;
			}
    break;

  case 37:

/* Line 1806 of yacc.c  */
#line 859 "as.y"
    {	(yyval.y_expr) = (yyvsp[(2) - (3)].y_expr);}
    break;

  case 38:

/* Line 1806 of yacc.c  */
#line 861 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val || (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, 0);
			}
    break;

  case 39:

/* Line 1806 of yacc.c  */
#line 865 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val && (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, 0);
			}
    break;

  case 40:

/* Line 1806 of yacc.c  */
#line 869 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val | (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, 0);
			}
    break;

  case 41:

/* Line 1806 of yacc.c  */
#line 873 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val ^ (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, 0);
			}
    break;

  case 42:

/* Line 1806 of yacc.c  */
#line 877 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val & (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, 0);
			}
    break;

  case 43:

/* Line 1806 of yacc.c  */
#line 881 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val == (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, '>');
			}
    break;

  case 44:

/* Line 1806 of yacc.c  */
#line 885 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val != (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, '>');
			}
    break;

  case 45:

/* Line 1806 of yacc.c  */
#line 889 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val < (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, '>');
			}
    break;

  case 46:

/* Line 1806 of yacc.c  */
#line 893 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val > (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, '>');
			}
    break;

  case 47:

/* Line 1806 of yacc.c  */
#line 897 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val <= (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, '>');
			}
    break;

  case 48:

/* Line 1806 of yacc.c  */
#line 901 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val >= (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, '>');
			}
    break;

  case 49:

/* Line 1806 of yacc.c  */
#line 905 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val >> (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, 0);
			}
    break;

  case 50:

/* Line 1806 of yacc.c  */
#line 909 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val << (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, 0);
			}
    break;

  case 51:

/* Line 1806 of yacc.c  */
#line 913 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val + (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, '+');
			}
    break;

  case 52:

/* Line 1806 of yacc.c  */
#line 917 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val - (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, '-');
			}
    break;

  case 53:

/* Line 1806 of yacc.c  */
#line 921 "as.y"
    {	(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val * (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, 0);
			}
    break;

  case 54:

/* Line 1806 of yacc.c  */
#line 925 "as.y"
    {	if ((yyvsp[(3) - (3)].y_expr).val == 0) {
					if (pass == 2)
						serror("divide by zero");
					(yyval.y_expr).val = 0;
				} else
					(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val / (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, 0);
			}
    break;

  case 55:

/* Line 1806 of yacc.c  */
#line 934 "as.y"
    {	if ((yyvsp[(3) - (3)].y_expr).val == 0) {
					if (pass == 2)
						serror("divide by zero");
					(yyval.y_expr).val = 0;
				} else
					(yyval.y_expr).val = ((yyvsp[(1) - (3)].y_expr).val % (yyvsp[(3) - (3)].y_expr).val);
				(yyval.y_expr).typ = combine((yyvsp[(1) - (3)].y_expr).typ, (yyvsp[(3) - (3)].y_expr).typ, 0);
			}
    break;

  case 56:

/* Line 1806 of yacc.c  */
#line 943 "as.y"
    {	(yyval.y_expr).val = (yyvsp[(2) - (2)].y_expr).val;
				(yyval.y_expr).typ = combine(0x0001			, (yyvsp[(2) - (2)].y_expr).typ, 0);
			}
    break;

  case 57:

/* Line 1806 of yacc.c  */
#line 947 "as.y"
    {	(yyval.y_expr).val = -(yyvsp[(2) - (2)].y_expr).val;
				(yyval.y_expr).typ = combine(0x0001			, (yyvsp[(2) - (2)].y_expr).typ, 0);
			}
    break;

  case 58:

/* Line 1806 of yacc.c  */
#line 951 "as.y"
    {	(yyval.y_expr).val = ~(yyvsp[(2) - (2)].y_expr).val;
				(yyval.y_expr).typ = combine(0x0001			, (yyvsp[(2) - (2)].y_expr).typ, 0);
			}
    break;

  case 59:

/* Line 1806 of yacc.c  */
#line 955 "as.y"
    {	(yyval.y_expr).val = DOTVAL;
				(yyval.y_expr).typ = DOTTYP|0x0400;
			}
    break;

  case 62:

/* Line 1806 of yacc.c  */
#line 963 "as.y"
    {	if (((yyvsp[(1) - (1)].y_expr).typ & ~0x0080			) != 0x0001			)
					serror("must be absolute");
				(yyval.y_valu) = (yyvsp[(1) - (1)].y_expr).val;
			}
    break;

  case 63:

/* Line 1806 of yacc.c  */
#line 970 "as.y"
    {	(yyval.y_valu) = 0;}
    break;

  case 64:

/* Line 1806 of yacc.c  */
#line 972 "as.y"
    {	(yyval.y_valu) = (yyvsp[(1) - (1)].y_valu);}
    break;

  case 65:

/* Line 1806 of yacc.c  */
#line 976 "as.y"
    {	(yyval.y_valu) = 0;}
    break;

  case 66:

/* Line 1806 of yacc.c  */
#line 978 "as.y"
    {	(yyval.y_valu) = (yyvsp[(2) - (2)].y_valu);}
    break;

  case 69:

/* Line 1806 of yacc.c  */
#line 997 "as.y"
    {	emit1((yyvsp[(2) - (2)].y_word));}
    break;

  case 70:

/* Line 1806 of yacc.c  */
#line 1000 "as.y"
    {	emit1((yyvsp[(1) - (1)].y_word));}
    break;

  case 71:

/* Line 1806 of yacc.c  */
#line 1002 "as.y"
    {	emit2((yyvsp[(1) - (1)].y_word));}
    break;

  case 72:

/* Line 1806 of yacc.c  */
#line 1004 "as.y"
    {	branch((yyvsp[(1) - (2)].y_word),(yyvsp[(2) - (2)].y_expr));}
    break;

  case 73:

/* Line 1806 of yacc.c  */
#line 1006 "as.y"
    {	pushop((yyvsp[(1) - (2)].y_word));}
    break;

  case 74:

/* Line 1806 of yacc.c  */
#line 1008 "as.y"
    {	emit1((yyvsp[(1) - (2)].y_word));

				newrelo((yyvsp[(2) - (2)].y_expr).typ, 1			);

				emit1((yyvsp[(2) - (2)].y_expr).val);
			}
    break;

  case 75:

/* Line 1806 of yacc.c  */
#line 1015 "as.y"
    {	if ((yyvsp[(2) - (2)].y_word)!=2) serror("register error");
				emit1((yyvsp[(1) - (2)].y_word)+010);
			}
    break;

  case 76:

/* Line 1806 of yacc.c  */
#line 1019 "as.y"
    {	addop((yyvsp[(1) - (2)].y_word));}
    break;

  case 77:

/* Line 1806 of yacc.c  */
#line 1021 "as.y"
    {	rolop((yyvsp[(1) - (2)].y_word));}
    break;

  case 78:

/* Line 1806 of yacc.c  */
#line 1023 "as.y"
    {	incop((yyvsp[(1) - (2)].y_word));}
    break;

  case 79:

/* Line 1806 of yacc.c  */
#line 1025 "as.y"
    {	imul((yyvsp[(1) - (2)].y_word));}
    break;

  case 80:

/* Line 1806 of yacc.c  */
#line 1027 "as.y"
    {	regsize((yyvsp[(1) - (2)].y_word)); emit1(0366|((yyvsp[(1) - (2)].y_word)&1)); ea_1((yyvsp[(1) - (2)].y_word)&070);}
    break;

  case 81:

/* Line 1806 of yacc.c  */
#line 1029 "as.y"
    {	regsize((yyvsp[(1) - (2)].y_word)); emit1(0366|((yyvsp[(1) - (2)].y_word)&1)); ea_1((yyvsp[(1) - (2)].y_word)&070);}
    break;

  case 82:

/* Line 1806 of yacc.c  */
#line 1031 "as.y"
    {	callop((yyvsp[(1) - (2)].y_word)&0xFFFF);}
    break;

  case 83:

/* Line 1806 of yacc.c  */
#line 1033 "as.y"
    {	emit1((yyvsp[(1) - (4)].y_word)>>8);

				newrelo((yyvsp[(4) - (4)].y_expr).typ, 2			);

				emit2((yyvsp[(4) - (4)].y_expr).val);

				newrelo((yyvsp[(2) - (4)].y_expr).typ, 2			);

				emit2((yyvsp[(2) - (4)].y_expr).val);
			}
    break;

  case 84:

/* Line 1806 of yacc.c  */
#line 1044 "as.y"
    {	emit1(0377); ea_2((yyvsp[(1) - (2)].y_word)&0xFF);}
    break;

  case 85:

/* Line 1806 of yacc.c  */
#line 1046 "as.y"
    {	if (!((((((yyvsp[(2) - (4)].y_valu)) + 0x8000L) & ~0xFFFFL) == 0))) nofit(); if (!((((((yyvsp[(4) - (4)].y_valu)) + 0x80) & ~((int)0xFF)) == 0))) nofit();
				emit1((yyvsp[(1) - (4)].y_word)); emit2((int)(yyvsp[(2) - (4)].y_valu)); emit1((int)(yyvsp[(4) - (4)].y_valu));
			}
    break;

  case 86:

/* Line 1806 of yacc.c  */
#line 1050 "as.y"
    {	emit1((yyvsp[(1) - (4)].y_word)); ea_2((yyvsp[(2) - (4)].y_word)<<3);}
    break;

  case 87:

/* Line 1806 of yacc.c  */
#line 1052 "as.y"
    {	emit1((yyvsp[(1) - (4)].y_word)); ea_2((yyvsp[(4) - (4)].y_word)<<3);}
    break;

  case 88:

/* Line 1806 of yacc.c  */
#line 1054 "as.y"
    {	emit1(0xF); emit1((yyvsp[(1) - (4)].y_word));
				ea_2((yyvsp[(2) - (4)].y_word)<<3);
			}
    break;

  case 89:

/* Line 1806 of yacc.c  */
#line 1058 "as.y"
    {	regsize(1); emit1(0xF); emit1((yyvsp[(1) - (2)].y_word)&07); 
				ea_1((yyvsp[(1) - (2)].y_word)&070);
			}
    break;

  case 90:

/* Line 1806 of yacc.c  */
#line 1062 "as.y"
    {	if (!((((yyvsp[(2) - (4)].y_valu) & 077) == (yyvsp[(2) - (4)].y_valu)))) nofit();
				emit1(0330 | (yyvsp[(2) - (4)].y_valu)>>3);
				ea_2(((yyvsp[(2) - (4)].y_valu)&7)<<3);
			}
    break;

  case 91:

/* Line 1806 of yacc.c  */
#line 1067 "as.y"
    {	if ((yyvsp[(2) - (2)].y_valu)==3)
					emit1(0314);
				else {
					emit1(0315); emit1((yyvsp[(2) - (2)].y_valu));
				}
			}
    break;

  case 92:

/* Line 1806 of yacc.c  */
#line 1074 "as.y"
    {	emit1((yyvsp[(1) - (1)].y_word));}
    break;

  case 93:

/* Line 1806 of yacc.c  */
#line 1076 "as.y"
    {	emit1((yyvsp[(1) - (2)].y_word)-1);

				newrelo((yyvsp[(2) - (2)].y_expr).typ, 2			);

				emit2((yyvsp[(2) - (2)].y_expr).val);
			}
    break;

  case 94:

/* Line 1806 of yacc.c  */
#line 1083 "as.y"
    {	xchg((yyvsp[(1) - (2)].y_word));}
    break;

  case 95:

/* Line 1806 of yacc.c  */
#line 1085 "as.y"
    {	test((yyvsp[(1) - (2)].y_word));}
    break;

  case 96:

/* Line 1806 of yacc.c  */
#line 1087 "as.y"
    {	mov((yyvsp[(1) - (2)].y_word));}
    break;

  case 97:

/* Line 1806 of yacc.c  */
#line 1115 "as.y"
    {	mrg_2 = 6; exp_2 = (yyvsp[(2) - (3)].y_expr);
				{rel_2 =  relonami;  relonami = 0;};
			}
    break;

  case 98:

/* Line 1806 of yacc.c  */
#line 1119 "as.y"
    {	exp_2.val = 0; exp_2.typ = 0x0001			; indexed();}
    break;

  case 99:

/* Line 1806 of yacc.c  */
#line 1121 "as.y"
    {	exp_2 = (yyvsp[(1) - (2)].y_expr); indexed();
				{rel_2 =  relonami;  relonami = 0;};
			}
    break;

  case 100:

/* Line 1806 of yacc.c  */
#line 1126 "as.y"
    {	mrg_2 = sr_m[(yyvsp[(2) - (3)].y_word)];}
    break;

  case 101:

/* Line 1806 of yacc.c  */
#line 1128 "as.y"
    {	mrg_2 = dr_m[(yyvsp[(2) - (6)].y_word)][(yyvsp[(5) - (6)].y_word)];}
    break;

  case 103:

/* Line 1806 of yacc.c  */
#line 1132 "as.y"
    {	mrg_2 = (yyvsp[(1) - (1)].y_word) | 0300;}
    break;

  case 104:

/* Line 1806 of yacc.c  */
#line 1134 "as.y"
    {	mrg_2 = (yyvsp[(1) - (1)].y_word) | 0310;}
    break;

  case 105:

/* Line 1806 of yacc.c  */
#line 1136 "as.y"
    {	mrg_2 = (yyvsp[(1) - (1)].y_word) | 020;}
    break;

  case 106:

/* Line 1806 of yacc.c  */
#line 1138 "as.y"
    {	mrg_2 = 040; exp_2 = (yyvsp[(1) - (1)].y_expr);
				{rel_2 =  relonami;  relonami = 0;};
			}
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 1143 "as.y"
    {	mrg_1 = mrg_2; exp_1 = exp_2;
				{rel_1 =  rel_2;  rel_2 = 0;};
			}
    break;



/* Line 1806 of yacc.c  */
#line 3162 "y.tab.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;


      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 1150 "as.y"



